
; IDL CODE TO SEE HOW MANY SOURCES ARE DETECTED WHEN PUT FLUX LIMIT OF RESPECTIVE SURVEY ..
; & WRITING tbir, z, tage, Q0 for those DETECTED sources on a smaller file -- 
; -- as these are to be run again for 3 freqs and hence spectral index obtained ..
; 2004: OCT 26 - Paramita
; Nov 04 - Writing log10(Q0) in final file as that is what was written before ..

; 2005 Aug 01 : SIZ = 4861474 for KDA & MK
;	        SIZ = 3355926 for BRW
; Sept 19 - Read SIZ from separate file

	pro detect_source_3C

	print, ' In "detect_source_3C.pro"'

;	SIZ = 3355926          ; CHECK SIZE OF logP*.dat & GIVE
	
	SIZarr = lonarr(3)
; READ NUMBER OF LINES IN FILE 'logP151_1pz.dat' FROM 'SampSize3C6C7C.dat'
        openr, 1, '../../SampSize3C6C7C.dat'; Open the file
	readf, 1, SIZarr                    ; Read number of lines written in 'SampSize3C6C7C.dat'
	close, 1
	
	SIZ = SIZarr[0]
;       print, ' SIZ =', SIZ, ', SIZarr =', SIZarr		

	zlogP151_1pz = dblarr(1, SIZ)
        openr, 1, '../../BigRun/logP151_1pz.dat'
        readf, 1, zlogP151_1pz
        close, 1
	logP151_1pz = zlogP151_1pz(0, *)

	z_d = dblarr(2, SIZ)
        openr, 1, '../../BigRun/effec_dist.dat'
        readf, 1, z_d
        close, 1
        z = z_d(0, *)
        d = z_d(1, *)

        tztQ = dblarr(4, SIZ)
        openr, 1, '../../BigRun/tbirztageQ.dat'
        readf, 1, tztQ
        close, 1
        tbir = tztQ(0, *)
        ;z = tztQ(1, *)
        tage = tztQ(2, *)
        Q0 = tztQ(3, *)

	P151_1pz = 10.0^logP151_1pz
        detP151 = P151_1pz * 1.0e26 / ( (d*d) * (1.0 + z) )    ; DETECTED FLUX IN mJy

	; 3C flux limit in Jy = 12.4
	det3C = WHERE(detP151 GT 12.4)
	N3C = N_ELEMENTS(det3C)

;	print, 'det3C =', det3C, '    N3C =', N3C
	print, ' Number of sources above 3C flux limit, N3C =', N3C

	tbir_det = tbir(det3C)
        z_det = z(det3C)
        tage_det = tage(det3C)
        Q0_det = Q0(det3C)

	logP151_1pz_det = logP151_1pz(det3C)

	openw, 1, '../Dt_CutOff_1kpc/3C/zTageQlogPem_det.dat'
	openw, 2, '../Dt_CutOff_10kpc/3C/zTageQlogPem_det.dat'
        for i = 0, N3C - 1 do begin
           printf, 1, z_det(i), tage_det(i), Q0_det(i), logP151_1pz_det(i)
	   printf, 2, z_det(i), tage_det(i), Q0_det(i), logP151_1pz_det(i)
        endfor
        close, 1
	close, 2

        return
        end

