; 2005 : Paramita Barai : Combining codes in order to automate process

; July 20: Master Code to Combine ALL 3C, 6C, 7C Detection
; July 26 : Write as an IDL batch file.
;           This includes IDL executable statements only; NOT starting as pro etc.

	print, 'In "Combine_3C6C7C.pro"'

	CD, 'Detect'
	@FluxLimit.pro
	CD, '..'

	CD, 'Dt_CutOff_1kpc'
	   CD, '3C'
	   .run Combine_3Cdetect.pro
	   Combine_3Cdetect
	   CD, '..'

	   CD, '6C'
	   .run Combine_6Cdetect.pro
	   Combine_6Cdetect
	   CD, '..'

	   CD, '7C'
	   .run Combine_7Cdetect.pro
	   Combine_7Cdetect
	   CD, '..'

	   CD, 'AddKS'
	   .run FindTotalProb_LESSdet.pro
	   FindTotalProb_LESSdet
	   .run FindTotalProb_MOREdet.pro
	   FindTotalProb_MOREdet
	   CD, '..'
	CD, '..'

	CD, 'Dt_CutOff_10kpc'
	   CD, '3C'
	   .run Combine_3Cdetect.pro
	   Combine_3Cdetect
	   CD, '..'

	   CD, '6C'
	   .run Combine_6Cdetect.pro
	   Combine_6Cdetect
	   CD, '..'

	   CD, '7C'
	   .run Combine_7Cdetect.pro
	   Combine_7Cdetect
	   CD, '..'

	   CD, 'AddKS'
	   .run FindTotalProb_LESSdet.pro
	   FindTotalProb_LESSdet
	   .run FindTotalProb_MOREdet.pro
	   FindTotalProb_MOREdet
	   CD, '..'
	CD, '..'
